PolarBear · 12月30日 · 2015年 · · ·

WordPress禁止,插件更新,主题更新,wordpress本身更新提示的方法
将代码添加到functions.php中即可,至于要屏蔽什么,就加什么。

常量:WP_AUTO_UPDATE_CORE

define('WP_AUTO_UPDATE_CORE', ture); //开发版,小版本,大版本都会自动更新
define('WP_AUTO_UPDATE_CORE', false); //开发版,小版本,大版本都不会自动更新
define('WP_AUTO_UPDATE_CORE', minor); //只更新小版本

过滤器:add_filter

add_filter( 'allow_dev_auto_core_updates', '__return_true'); //开启开发版更新
add_filter( 'allow_minor_auto_core_updates', '__return_false'); //关闭小版本更新
add_filter( 'allow_major_auto_core_updates', '__return_true'); //开启大版本更新
add_filter( 'auto_update_core', '__return_false'); //关闭核心文件更新
add_filter( ‘auto_update_plugin’, ‘__return_true’); //开启插件自动更新
add_filter( ‘auto_update_theme’, ‘__return_true’); //开启主题自动更新
add_filter( ‘auto_update_translation’, ‘__return_false’); //关闭翻译自动更新
开启插件自动更新 add_filter( ‘auto_update_theme’, ‘__return_true’) – 开启主题自动更新 add_filter( ‘auto_update_translation’, ‘__return_false’) – 关闭翻译自动更新

关闭所有更新的两种方法

define( ‘AUTOMATIC_UPDATER_DISABLED’, true);
add_filter( ‘automatic_updater_disabled’, ‘__return_true’);

 

0 条回应